Bug 53313 - symlink is not created for libtermcap.so.2
Summary: symlink is not created for libtermcap.so.2
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libtermcap   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-06 14:16 UTC by Ken Cox
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-06 14:17:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file that implement fix (850 bytes, patch)
2001-09-06 14:17 UTC, Ken Cox
no flags Details | Diff

Description Ken Cox 2001-09-06 14:16:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; 0.7)
Gecko/20010316

Description of problem:
When installing libtermcap, the symbolic link is not created for
libtermcap.so.2.  Any program linked with -l termcap needs libtermcap.so.2

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i libtermcap-2.0.8-26.rpm
2. rpm -i libtermcap-devel-2.0.8-26.rpm
3.
	

Actual Results:  There is no libtermcap.so.2

Expected Results:  libtermcap.so.2 should have been created

Additional info:

I have patched the specfile in libtermcap-2.0.8-26-src.rpm to create the
symbolic link upon installation.  When RedHat linux 7.1 is installed on a
normal x86 system, the symlink gets created somewhere else, but is not
created by installing the libtermcap rpm.  I found the problem when
cross-compiling for the ARM platform.

A patch for the specfile is attached to this bug report.

Comment 1 Ken Cox 2001-09-06 14:17:28 UTC
Created attachment 31094 [details]
patch file that implement fix

Comment 2 Bernhard Rosenkraenzer 2001-09-11 09:25:00 UTC
Setting those symlinks is ldconfig's job (and ldconfig is called from %post).
If it doesn't work for your cross-compiler, your cross compilation environment 
is broken (check your ldconfig).




Note You need to log in before you can comment on or make changes to this bug.